﻿using System;
using System.Data;
using CMS.CMSHelper;
using CMS.EcommerceProvider;
using CMS.GlobalHelper;
using CMS.SettingsProvider;
using CMS.SiteProvider;

using System.Linq;
using System.Collections.Generic;
using CustomProviders;
using CMS.Ecommerce;


namespace CustomProviders
{
    /// <summary>
    /// Customized CustomOrderInfoProvider.cs provider.
    /// </summary>
    public class CustomOrderInfoProvider : OrderInfoProvider
    {
        /// <summary>
        /// Process order items of given order according to order is paid change.
        /// </summary>
        /// <param name="oi">Order</param>
        protected override void ProcessOrderIsPaidChangeInternal(OrderInfo oi)
        {
            // If order is paid
            if (oi.OrderIsPaid)
            {
                // Order has been paid, your code here

            }
            else
            {
                // Order has been moved from paid back to not paid.
            }

			base.ProcessOrderIsPaidChangeInternal(oi);
        }
    }
} 
